#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './loggingpage.ui'
**
** Created: Sat Jan 7 04:53:04 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "loggingpage.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a LoggingPageLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
LoggingPageLayout::LoggingPageLayout( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Logging" );
    LoggingLayout = new QGridLayout( this, 1, 1, 0, 6, "LoggingLayout"); 

    RedirEdit = new QLineEdit( this, "RedirEdit" );

    LoggingLayout->addWidget( RedirEdit, 2, 0 );

    RedirButton = new QPushButton( this, "RedirButton" );
    RedirButton->setMaximumSize( QSize( 40, 30 ) );

    LoggingLayout->addWidget( RedirButton, 2, 1 );

    RedirChkBox = new QCheckBox( this, "RedirChkBox" );

    LoggingLayout->addMultiCellWidget( RedirChkBox, 1, 1, 0, 1 );

    LogChkBox = new QCheckBox( this, "LogChkBox" );
    LogChkBox->setChecked( TRUE );

    LoggingLayout->addMultiCellWidget( LogChkBox, 0, 0, 0, 1 );
    Spacer5 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    LoggingLayout->addItem( Spacer5, 3, 0 );
    languageChange();
    resize( QSize(345, 190).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( LogChkBox, SIGNAL( toggled(bool) ), RedirChkBox, SLOT( setEnabled(bool) ) );
    connect( LogChkBox, SIGNAL( toggled(bool) ), RedirEdit, SLOT( setEnabled(bool) ) );
    connect( LogChkBox, SIGNAL( toggled(bool) ), RedirButton, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( LogChkBox, RedirChkBox );
    setTabOrder( RedirChkBox, RedirEdit );
    setTabOrder( RedirEdit, RedirButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LoggingPageLayout::~LoggingPageLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LoggingPageLayout::languageChange()
{
    setCaption( tr2i18n( "Logging" ) );
    QToolTip::add( RedirEdit, tr2i18n( "Log files will be stored in this folder." ) );
    RedirButton->setText( QString::null );
    RedirChkBox->setText( tr2i18n( "Redirect Log Files to:" ) );
    LogChkBox->setText( tr2i18n( "Enable Logging of Work Units" ) );
}

void LoggingPageLayout::slotGetLogDirectory()
{
    qWarning( "LoggingPageLayout::slotGetLogDirectory(): Not implemented yet" );
}

#include "loggingpage.moc"
